Package ru.bitel.bgbilling.modules.trayinfo.server.bean

# Class TrayInfoTypeManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.trayinfo.server.bean.TrayInfoTypeManager

public class TrayInfoTypeManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrayInfoTypeManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteTrayInfoType(int id)`
  `ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType`
  `getTrayInfoTypeById(int id)`
  `List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType>`
  `getTrayInfoTypesList(Date date)`
  `void`
  `updateTrayInfoType(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType type)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrayInfoTypeManager

    public TrayInfoTypeManager(Connection con, int moduleId)

- ## Method Details

  - ### getTrayInfoTypeById

    public ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType getTrayInfoTypeById(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getTrayInfoTypesList

    public List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType> getTrayInfoTypesList(Date date) throws SQLException
    Throws:
      `SQLException`

  - ### deleteTrayInfoType

    public void deleteTrayInfoType(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateTrayInfoType

    public void updateTrayInfoType(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType type) throws SQLException
    Throws:
      `SQLException`